Subject: Re: [PATCH -V7 09/18] powerpc: Switch 16GB and 16MB explicit hugepages to a different page table format

From: Scott Wood <[email-masked]>
Date: Tue, 11 Jun 2013 15:53:43 -0500

On 06/08/2013 11:57:48 AM, Aneesh Kumar K.V wrote:
> With the config shared I am not finding anything wrong, but I can't =20
> test
> these configs. Also can you confirm what you bisect this to
>=20
> e2b3d202d1dba8f3546ed28224ce485bc50010be
> powerpc: Switch 16GB and 16MB explicit hugepages to a different page =20
> table format

>=20
> or
>=20
> cf9427b85e90bb1ff90e2397ff419691d983c68b "powerpc: New hugepage =20
> directory format"

It's e2b3d202d1dba8f3546ed28224ce485bc50010be.

It turned out to be the change from "pmd_none" to =20
"pmd_none_or_clear_bad".  Making that change triggers the "bad pmd" =20
messages even when applied to v3.9 -- so we had bad pmds all along, =20
undetected.  Now I get to figure out why. :-(

-Scott=